FROM node:20-alpine
WORKDIR /app
COPY package*.json ./
RUN npm install --registry=https://registry.npmmirror.com
COPY . .
RUN npx tsc
RUN npx prisma generate
EXPOSE 3001
CMD ["node", "dist/src/main.js"]
